.ti-tickets-widget {
	cursor: default;
}

.ti-tickets-event-tickets-buy {
  position: relative;
  color: #fcfcf6 !important;
  background: linear-gradient(0.25turn, #f01c72, #ff6a03) !important;
  overflow: hidden;
  z-index: 1;
  border: 1px solid #ff6a03 !important;
  box-shadow: none !important;
  border-radius: 7px !important;
  font-family: Manrope, Arial, sans-serif;
  font-size: 14px !important;
  font-weight: 600 !important;
  line-height: 1.4 !important;
  margin: 0 8px 8px 0 !important;
  
  // padding: 11.5px 25px !important;
  padding-top: calc(((var(--height, 0px) - 1em * var(--line-height, 1.4)) / 2) - var(--border-width, 0px)) !important;
  padding-bottom: calc(((var(--height, 0px) - 1em * var(--line-height, 1.4)) / 2) - var(--border-width, 0px)) !important;
  padding-left: 30px !important;
  padding-right: 30px !important;
  
  --height: 45px;
  --border-width: 1px;
}

/* оранжевый слой ПОД текстом */
.ti-tickets-event-tickets-buy::after {
  content: "";
  position: absolute;
  inset: 0;
  background: #ff6903;
  opacity: 0;
  transition: opacity 0.3s ease;
  z-index: -1;
  border-color: #ff6903 !important;
}

/* текст поверх */
.ti-tickets-event-tickets-buy > * {
  position: relative;
  z-index: 1;
}

.ti-tickets-event-tickets-buy:hover::after {
  opacity: 1;
}

.t-store__card__btn_second:has(.ti-tickets-widget), .t-store__card__btn_second:has(.ti-tickets-widget)::after {
    margin: 0 !important;
    padding: 0 !important;
    background: transparent !important;
    border-width: 0 !important;
}

body .t-store__card__btn_second:hover:has(.ti-tickets-widget) {
    background: transparent !important;
    border-width: 0 !important;
}

@media screen and (max-width: 480px) {
  .ti-tickets-event-tickets-buy {
    padding-left: 10px !important;
    padding-right: 10px !important;
	}
}

@media screen and (max-width: 640px) {
  .ti-tickets-event-tickets-buy {
    padding-left: 15px !important;
    padding-right: 15px !important;
	}
}

@media screen and (max-width: 670px) {
  .ti-tickets-event-tickets-buy {
    width: stretch;
	}
}

@media screen and (max-width: 980px) {
  .ti-tickets-event-tickets-buy {
    padding-left: 20px !important;
    padding-right: 20px !important;
	}
}

@media screen and (max-width: 1200px) {
  .ti-tickets-event-tickets-buy {
    padding-left: 25px !important;
    padding-right: 25px !important;
	}
}